t38_terminal_tests.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <errno.h>`
`#include <unistd.h>`
`#include "spandsp.h"`
`#include "spandsp-sim.h"`
`#include "fax_utils.h"`

## Macros

#define | SPANDSP_EXPOSE_INTERNAL_STRUCTURES
#define | SAMPLES_PER_CHUNK 160
#define | INPUT_FILE_NAME "../test-data/itu/fax/itutests.tif"
#define | OUTPUT_FILE_NAME "t38.tif"

## Functions

int | main (int argc, char *argv[])

## Variables

t38_terminal_state_t * | t38_state_a
t38_terminal_state_t * | t38_state_b
g1050_state_t * | path_a_to_b
g1050_state_t * | path_b_to_a
double | when = 0.0
int | done [2] = {FALSE, FALSE}
int | succeeded [2] = {FALSE, FALSE}
int | simulate_incrementing_repeats = FALSE